osl::move_probability::LureDefender Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::LureDefender:

## Public Types

enum | { ATTACK_DIM = PTYPE_SIZE*PTYPE_SIZE*PTYPE_SIZE , DIM = ATTACK_DIM*3 }

## Public Member Functions

| LureDefender ()
double | match (const StateInfo &info, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static double | match (const NumEffectState &state, Move move, int see, const StateInfo::pinned_gs_t &pinned_list, int offset, const double *w)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 1161 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ATTACK_DIM |
DIM |

Definition at line 1164 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## LureDefender()

osl::move_probability::LureDefender::LureDefender | ( |  | ) |

inline

Definition at line 1168 of file move_probability/feature.h.

References DIM, and osl::move_probability::Feature::Feature().

## Member Function Documentation

## match() [1/2]

double osl::move_probability::LureDefender::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | int | see,
|  | const StateInfo::pinned_gs_t & | pinned_list,
|  | int | offset,
|  | const double * | w )

inline static

Definition at line 1171 of file move_probability/feature.h.

References osl::alt(), ATTACK_DIM, osl::Board_Table, osl::canPromote(), osl::NumEffectState::hasEffectIf(), osl::KING, osl::SimpleState::kingSquare(), osl::Move::player(), osl::promote(), osl::Move::ptype(), osl::PTYPE_EDGE, osl::PTYPE_SIZE, osl::Move::ptypeO(), osl::Square::square, osl::Move::to(), osl::SimpleState::turn(), and osl::U.

Referenced by match().

## match() [2/2]

double osl::move_probability::LureDefender::match | ( | const StateInfo & | info,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 1216 of file move_probability/feature.h.

References osl::alt(), osl::move_probability::StateInfo::exchange_pins, match(), osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::player, osl::move_probability::MoveInfo::see, and osl::move_probability::StateInfo::state.

The documentation for this class was generated from the following file:

- move_probability/feature.h